public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/containers-storage/
Date: Thu, 19 Sep 2019 03:24:30 +0000 (UTC)	[thread overview]
Message-ID: <1568863427.4170d5580dfe60fd4f76bcc36ae58c67d1e3cde3.zmedico@gentoo> (raw)

commit:     4170d5580dfe60fd4f76bcc36ae58c67d1e3cde3
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Thu Sep 19 03:23:47 2019 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Thu Sep 19 03:23:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4170d558

app-emulation/containers-storage: Bump to version 1.13.3

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 app-emulation/containers-storage/Manifest          |   1 +
 .../containers-storage-1.13.3.ebuild               | 110 +++++++++++++++++++++
 2 files changed, 111 insertions(+)

diff --git a/app-emulation/containers-storage/Manifest b/app-emulation/containers-storage/Manifest
index 701ffdbae01..ccac46192e8 100644
--- a/app-emulation/containers-storage/Manifest
+++ b/app-emulation/containers-storage/Manifest
@@ -1,2 +1,3 @@
 DIST containers-storage-1.13.1.tar.gz 5983556 BLAKE2B 1d0b6aba0464603fb26c45beecdb9b4afe6566dff4698da980ad6f9736a6d810ec41334f181d5709f78bab986e704c965b1967ed591348cd687d9cb92875321d SHA512 9fa686f44dda3d363f7c623abc9baa0911e26eb5e7dbb7bc60da259fe8d52411cb25fb98e2c8db10a5a80ebf04d07af8390acd48d26706f913900b19e58eac9f
+DIST containers-storage-1.13.3.tar.gz 5983607 BLAKE2B 9e591873da4824a133e3818ba9a97074bca234c3154bef9c4febcfd559d0b2ab7462c7da24ce7d391bbdbe2d9a62cb9fd711624623ba28cd8e79d0ca7fcabb47 SHA512 83fd16cbe5821c68092845defc2c5b8407b03c3972b146f409be3444a114d357709fefc25206a1ca26e6ef4a5fc219f360bb0195ffdc1c6e9f79e90f07740820
 DIST github.com-pquerna-ffjson-e517b90714f7c0eabe6d2e570a5886ae077d6db6.tar.gz 103470 BLAKE2B 81f0f6ea6648997cb61723d09d456802e60a3d1eb35134c4bbc8af5943b955b1402fe2b3f8d0d4d2d0293ab256a9be66d53262d5f79ca00bf8c18ded39dc44f4 SHA512 fadca5a7bd0c0578b23281720a08c505054f3497daeee8efa36b5acafa4118feb4b8a96c4acb4c279d72ebcd50846307cfbb846a355b62f350c961f9102c93a6

diff --git a/app-emulation/containers-storage/containers-storage-1.13.3.ebuild b/app-emulation/containers-storage/containers-storage-1.13.3.ebuild
new file mode 100644
index 00000000000..0e74471b34d
--- /dev/null
+++ b/app-emulation/containers-storage/containers-storage-1.13.3.ebuild
@@ -0,0 +1,110 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+EGO_VENDOR=(
+	"github.com/pquerna/ffjson e517b90714f7c0eabe6d2e570a5886ae077d6db6"
+)
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="containers/storage library"
+HOMEPAGE="https://github.com/containers/storage"
+LICENSE="Apache-2.0 BSD BSD-2 CC-BY-SA-4.0 ISC MIT"
+SLOT="0"
+IUSE="btrfs +device-mapper ostree test"
+EGO_PN="${HOMEPAGE#*//}"
+EGIT_COMMIT="v${PV}"
+SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz
+	${EGO_VENDOR_URI}"
+RDEPEND="
+	btrfs? ( sys-fs/btrfs-progs )
+	device-mapper? ( sys-fs/lvm2:= )
+	ostree? (
+		dev-libs/glib:=
+		dev-util/ostree:=
+	)"
+DEPEND="${RDEPEND}
+	dev-go/go-md2man
+	test? (
+		sys-fs/btrfs-progs
+		sys-fs/lvm2
+		sys-apps/util-linux
+	)"
+RESTRICT="test? ( userpriv ) !test? ( test )"
+
+src_unpack() {
+	golang-vcs-snapshot_src_unpack
+}
+
+src_prepare() {
+	default
+
+	[[ -f ${S}/src/${EGO_PN}/hack/btrfs_tag.sh ]] || die
+	use btrfs || { echo -e "#!/bin/sh\necho exclude_graphdriver_btrfs" > \
+		"${S}/src/${EGO_PN}/hack/btrfs_tag.sh" || die; }
+
+	[[ -f ${S}/src/${EGO_PN}/hack/libdm_tag.sh ]] || die
+	use device-mapper || { echo -e "#!/bin/sh\necho btrfs_noversion exclude_graphdriver_devicemapper" > \
+		"${S}/src/${EGO_PN}/hack/libdm_tag.sh" || die; }
+
+	[[ -f ${S}/src/${EGO_PN}/hack/ostree_tag.sh ]] || die
+	use ostree || { echo -e "#!/bin/sh\ntrue" > \
+		"${S}/src/${EGO_PN}/hack/ostree_tag.sh" || die; }
+
+	sed -e 's:TestChrootUntarPath(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/chrootarchive/archive_test.go" || die
+	sed -e 's:TestTarUntar(:_\0:' \
+		-e 's:TestTarWithOptionsChownOptsAlwaysOverridesIdPair(:_\0:' \
+		-e 's:TestTarWithOptions(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/archive_test.go" || die
+	sed -e 's:TestTarUntarWithXattr(:_\0:' \
+		-e 's:TestTarWithBlockCharFifo(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/archive_unix_test.go" || die
+	sed -e 's:TestTarUntarWithXattr(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/archive_test.go" || die
+	sed -e 's:TestApplyLayer(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/changes_test.go" || die
+	sed -e 's:TestApplyLayerInvalidFilenames(:_\0:' \
+		-e 's:TestApplyLayerInvalidHardlink(:_\0:' \
+		-e 's:TestApplyLayerInvalidSymlink(:_\0:' \
+		-e 's:TestApplyLayerWhiteouts(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/diff_test.go" || die
+	sed -e 's:TestCopyCaseE(:_\0:' \
+		-e 's:TestCopyCaseEFSym(:_\0:' \
+		-e 's:TestCopyCaseG(:_\0:' \
+		-e 's:TestCopyCaseGFSym(:_\0:' \
+		-e 's:TestCopyCaseH(:_\0:' \
+		-e 's:TestCopyCaseHFSym(:_\0:' \
+		-e 's:TestCopyCaseJ(:_\0:' \
+		-e 's:TestCopyCaseJFSym(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/archive/copy_unix_test.go" || die
+	sed -e 's:TestMount(:_\0:' \
+		-i "${S}/src/${EGO_PN}/pkg/mount/mounter_linux_test.go" || die
+}
+
+src_compile() {
+	export -n GOCACHE XDG_CACHE_HOME #678856
+	mkdir -p "${S}/src/github.com/pquerna" || die
+	ln -s "${S}/src/${EGO_PN}/vendor/github.com/pquerna/ffjson" "${WORKDIR}/${P}/src/github.com/pquerna/ffjson" || die
+	mkdir -p "${S}/bin" || die
+	cd "${S}/bin" || die
+	GOPATH="${S}" GOBIN="${S}/bin" \
+		go build -v -work -x ${EGO_BUILD_FLAGS} "${S}/src/github.com/pquerna/ffjson/ffjson.go" || die
+	GOPATH="${S}" GOBIN="${S}/bin" PATH="${S}/bin:${PATH}" \
+		emake -C "${S}/src/${EGO_PN}" containers-storage docs
+}
+
+src_install() {
+	dobin "${S}/src/${EGO_PN}/${PN}"
+	while read -r -d ''; do
+		mv "${REPLY}" "${REPLY%.1}" || die
+	done < <(find "${S}/src/${EGO_PN}/docs" -name '*.[[:digit:]].1' -print0)
+	find "${S}/src/${EGO_PN}/docs" -name '*.[[:digit:]]' -exec doman '{}' + || die
+}
+
+src_test() {
+	GOPATH="${S}" unshare -m emake -C "${S}/src/${EGO_PN}" FLAGS="-v -work -x" local-test-unit || die
+}


             reply	other threads:[~2019-09-19  3:24 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-19  3:24 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-04-26 21:38 [gentoo-commits] repo/gentoo:master commit in: app-emulation/containers-storage/ Zac Medico
2021-04-26 21:38 Zac Medico
2020-08-29 23:13 Zac Medico
2020-06-05 19:20 Zac Medico
2020-06-05 18:34 Zac Medico
2020-04-02  2:36 Zac Medico
2020-01-18 18:00 Zac Medico
2019-12-05 18:32 Zac Medico
2019-12-05 18:27 Zac Medico
2019-11-29  5:50 Zac Medico
2019-11-29  5:37 Zac Medico
2019-11-26 16:33 Zac Medico
2019-11-26  3:15 Zac Medico
2019-11-21  6:10 Zac Medico
2019-11-15 20:33 Zac Medico
2019-10-18  6:17 Zac Medico
2019-09-19  3:02 Zac Medico
2019-09-19  3:02 Zac Medico
2019-08-07 23:42 Zac Medico
2019-08-07 23:34 Zac Medico
2019-08-07 23:33 Zac Medico
2019-08-02 19:55 Zac Medico
2019-07-25 18:09 Zac Medico
2019-06-09 22:55 Zac Medico
2019-06-09 22:41 Zac Medico
2019-06-06 19:35 Zac Medico
2019-06-06 19:28 Zac Medico
2019-06-02  6:37 Zac Medico
2019-06-02  6:23 Zac Medico
2019-05-29  0:28 Zac Medico
2019-03-16 23:08 Zac Medico
2018-08-26  0:06 Zac Medico
2018-08-25  4:34 Zac Medico
2018-08-25  4:29 Zac Medico

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1568863427.4170d5580dfe60fd4f76bcc36ae58c67d1e3cde3.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox